Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._3._0.query.impl
Class CompoundFilterTypeImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.ohf.ihe.common.ebxml._3._0.query.impl.FilterTypeImpl
                      org.eclipse.ohf.ihe.common.ebxml._3._0.query.impl.CompoundFilterTypeImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject, CompoundFilterType, FilterType

    public class CompoundFilterTypeImpl

extends FilterTypeImpl
implements CompoundFilterType

An implementation of the model object 'Compound Filter Type'.

The following features are implemented:

- `Left Filter`
- `Right Filter`
- `Logical Operator`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`ELAST_EOBJECT_FLAG`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Method Summary
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetLeftFilter(FilterType newLeftFilter, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetRightFilter(FilterType newRightFilter, org.eclipse.emf.common.notify.NotificationChain msgs)`
`java.lang.Object` | `eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain` | `eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean` | `eIsSet(int featureID)`
`void` | `eSet(int featureID, java.lang.Object newValue)`
`void` | `eUnset(int featureID)`
`FilterType` | `getLeftFilter()`
`LogicalOperatorType` | `getLogicalOperator()`
`FilterType` | `getRightFilter()`
`boolean` | `isSetLogicalOperator()`
`void` | `setLeftFilter(FilterType newLeftFilter)`
`void` | `setLogicalOperator(LogicalOperatorType newLogicalOperator)`
`void` | `setRightFilter(FilterType newRightFilter)`
`java.lang.String` | `toString()`
`void` | `unsetLogicalOperator()`

Methods inherited from class org.eclipse.ohf.ihe.common.ebxml._3._0.query.impl.FilterTypeImpl
`isNegate, isSetNegate, setNegate, unsetNegate`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eIsProxy, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eURIFragmentSegment, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.ohf.ihe.common.ebxml._3._0.query.FilterType
`isNegate, isSetNegate, setNegate, unsetNegate`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Method Detail

### getLeftFilter

    public FilterType getLeftFilter()

  Specified by:
    `getLeftFilter` in interface `CompoundFilterType`
  Returns:
    the value of the 'Left Filter' containment reference.
  See Also:
    `CompoundFilterType.setLeftFilter(FilterType)`, `QueryPackage.getCompoundFilterType_LeftFilter()`

### basicSetLeftFilter

    public org.eclipse.emf.common.notify.NotificationChain basicSetLeftFilter(FilterType newLeftFilter,
                                                                              org.eclipse.emf.common.notify.NotificationChain msgs)

### setLeftFilter

    public void setLeftFilter(FilterType newLeftFilter)

  Specified by:
    `setLeftFilter` in interface `CompoundFilterType`
  Parameters:
    `newLeftFilter` - the new value of the 'Left Filter' containment reference.
  See Also:
    `CompoundFilterType.getLeftFilter()`

### getRightFilter

    public FilterType getRightFilter()

  Specified by:
    `getRightFilter` in interface `CompoundFilterType`
  Returns:
    the value of the 'Right Filter' containment reference.
  See Also:
    `CompoundFilterType.setRightFilter(FilterType)`, `QueryPackage.getCompoundFilterType_RightFilter()`

### basicSetRightFilter

    public org.eclipse.emf.common.notify.NotificationChain basicSetRightFilter(FilterType newRightFilter,
                                                                               org.eclipse.emf.common.notify.NotificationChain msgs)

### setRightFilter

    public void setRightFilter(FilterType newRightFilter)

  Specified by:
    `setRightFilter` in interface `CompoundFilterType`
  Parameters:
    `newRightFilter` - the new value of the 'Right Filter' containment reference.
  See Also:
    `CompoundFilterType.getRightFilter()`

### getLogicalOperator

    public LogicalOperatorType getLogicalOperator()

  Specified by:
    `getLogicalOperator` in interface `CompoundFilterType`
  Returns:
    the value of the 'Logical Operator' attribute.
  See Also:
    `LogicalOperatorType`, `CompoundFilterType.isSetLogicalOperator()`, `CompoundFilterType.unsetLogicalOperator()`, `CompoundFilterType.setLogicalOperator(LogicalOperatorType)`, `QueryPackage.getCompoundFilterType_LogicalOperator()`

### setLogicalOperator

    public void setLogicalOperator(LogicalOperatorType newLogicalOperator)

  Specified by:
    `setLogicalOperator` in interface `CompoundFilterType`
  Parameters:
    `newLogicalOperator` - the new value of the 'Logical Operator' attribute.
  See Also:
    `LogicalOperatorType`, `CompoundFilterType.isSetLogicalOperator()`, `CompoundFilterType.unsetLogicalOperator()`, `CompoundFilterType.getLogicalOperator()`

### unsetLogicalOperator

    public void unsetLogicalOperator()

  Specified by:
    `unsetLogicalOperator` in interface `CompoundFilterType`
  See Also:
    `CompoundFilterType.isSetLogicalOperator()`, `CompoundFilterType.getLogicalOperator()`, `CompoundFilterType.setLogicalOperator(LogicalOperatorType)`

### isSetLogicalOperator

    public boolean isSetLogicalOperator()

  Specified by:
    `isSetLogicalOperator` in interface `CompoundFilterType`
  Returns:
    whether the value of the 'Logical Operator' attribute is set.
  See Also:
    `CompoundFilterType.unsetLogicalOperator()`, `CompoundFilterType.getLogicalOperator()`, `CompoundFilterType.setLogicalOperator(LogicalOperatorType)`

### eInverseRemove

    public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                          int featureID,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `FilterTypeImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `FilterTypeImpl`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `FilterTypeImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `FilterTypeImpl`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `FilterTypeImpl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD